<!--View Modal -->
<div class="modal fade" id="view-modal" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <!-- {% if e.Title == '' %}
                <h4 class="modal-title">[NO TITLE]</h4>
                {% else %}
                <h4 class="modal-title">{{ e.Title }}</h4>
                {% endif %} -->
            </div>
            <div class="modal-body">
                <!-- <h5>To: {{ e.To }}</h5>
                <h5>From: {{ e.From }}</h5>
                <p>{{ e.Message }}</p> -->
            </div>
            <div class="modal-footer">
                <!-- <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button> -->
            </div>
        </div>
    </div>
</div>
<script>
    $(document).ready(function(){
    $("#btn-view-{{ forloop.counter }}").click(function(){
        var url = "notes/" + "{{ forloop.counter }}";
        $.ajax({
            dataType : "json",
            url : url,
            success : function([result]) {
                fields = result["fields"]
                
                //header
                $('.modal-header').empty();
                // $('<button type="button" class="close" data-dismiss="modal">&times;</button>').appendTo($(".modal-header"));                
                var title = fields["Title"] || "NO TITLE";
                $('<h4 class = "modal-title">' + title + '</h4>').appendTo('.modal-header');

                //body
                $('.modal-body').empty();
                var to = fields["To"];
                var from = fields["From"];
                var message = fields["Message"];
                $('<h6>' + 'To: ' + to + '</h6>').appendTo(".modal-body");
                $('<h6>' + 'From: ' + from + '</h6>').appendTo(".modal-body");
                $('<p>' + message + '</p>').appendTo(".modal-body");

                //footer
                $('.modal-footer').empty();
                $('<button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>').appendTo('.modal-footer');
                $('#view-modal').modal();
            } 
        });
    });
    });
</script>